Compose a new email or WhatsApp message
curl --request POST \
--url https://api.contactbutton.com/v1/workspaces/{workspace}/inbox-threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"attachment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_parameters": [
{
"parameters": [
{
"type": "<string>",
"text": "<string>"
}
]
}
]
}
'import requests
url = "https://api.contactbutton.com/v1/workspaces/{workspace}/inbox-threads"
payload = {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"attachment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_parameters": [{ "parameters": [
{
"type": "<string>",
"text": "<string>"
}
] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject: '<string>',
body: JSON.stringify('<string>'),
attachment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
template_parameters: [{parameters: [{type: '<string>', text: '<string>'}]}]
})
};
fetch('https://api.contactbutton.com/v1/workspaces/{workspace}/inbox-threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Compose a new email or WhatsApp message
POST
/
workspaces
/
{workspace}
/
inbox-threads
Compose a new email or WhatsApp message
Authorizations
A Contact Button scoped bearer key. Send Authorization: Bearer <token>.
Token abilities are enforced independently of workspace membership; both checks must pass.
OAuth 2.0 authorization-code flows are not currently available.
Headers
Stable 8–120 character key for safe mutation retries.
Required string length:
8 - 120Path Parameters
Body
application/json
Available options:
web_chat, email, whatsapp Maximum string length:
998Maximum string length:
50000Maximum array length:
10Maximum array length:
20Show child attributes
Show child attributes
Related topics
List email, SMS, and WhatsApp review requestsValidate an SMS or WhatsApp survey deliverySurveysReviewsSynchronize WhatsApp templatesWas this page helpful?
⌘I